%define name	meld
%define version 1.4.0
%define release %mkrel 1

Summary:	GNOME 2 visual diff and merge tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
License:	GPLv2+
URL:		http://meld.sourceforge.net/
Group:		File tools
BuildRequires: scrollkeeper
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires:	pygtk2.0-libglade
Requires:	gnome-python
Requires:	gnome-python-canvas
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:	patch
BuildArch:	noarch
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3


%description
Meld is a GNOME 2 visual diff and merge tool. It integrates especially well
with CVS. The diff viewer lets you edit files in place (diffs update
dynamically), and a middle column shows detailed changes and allows merges.
The margins show location of changes for easy navigation, and it also
features a tabbed interface that allows you to open many diffs at once.

%prep
%setup -q

%build
%make prefix=%_prefix libdir=%_datadir

%install
rm -rf ${RPM_BUILD_ROOT} %name.lang
%makeinstall_std prefix=%_prefix libdir=%_datadir

%find_lang %name --with-gnome

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -rf %buildroot/usr/var/lib/scrollkeeper

%clean
rm -rf ${RPM_BUILD_ROOT}

%if %mdkversion < 200900
%post
%{update_menus}
%update_scrollkeeper
%postun
%{clean_menus}
%clean_scrollkeeper
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/meld-*.omf
%{_datadir}/pixmaps/*
%_datadir/icons/hicolor/*/apps/meld.*


%changelog
* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 581478
- update to new version 1.4.0

* Wed Sep 08 2010 Götz Waschk <waschk@mandriva.org> 1.3.3-1mdv2011.0
+ Revision: 576783
- new version
- update file list

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.3.2-1mdv2011.0
+ Revision: 550671
- new version
- drop patch
- update file list

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 416272
- new version
- drop patch 1
- remove extra icons
- update file list

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 1.3.0-2mdv2010.0
+ Revision: 415283
- fix opening files (bug #52805)

* Sun May 17 2009 trem <trem@mandriva.org> 1.3.0-1mdv2010.0
+ Revision: 376600
- update to 1.3.0

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 306055
- new version 1.2.1

* Fri Jun 27 2008 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2009.0
+ Revision: 229484
- new version
- patch to fix installation
- update license
- update file list

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Götz Waschk <waschk@mandriva.org> 1.1.5.1-3mdv2009.0
+ Revision: 218037
- depend on patch, trying to fix bug #40166 (blino)

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.1.5.1-2mdv2008.1
+ Revision: 170979
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jun 13 2007 Götz Waschk <waschk@mandriva.org> 1.1.5.1-1mdv2008.0
+ Revision: 38517
- new version

* Mon Jun 11 2007 Funda Wang <fwang@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 37987
- fix file list
- New version


* Fri Aug 04 2006 Gtz Waschk <waschk@mandriva.org> 1.1.4-3mdv2007.0
- fix buildrequires

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 1.1.4-2mdv2007.0
- xdg menu

* Sun Jun 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdk
- New release 1.1.4

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 1.1.3-1mdk
- handle scrollkeeper stuff
- New release 1.1.3
- use mkrel

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdk
- New release 1.1.2

* Thu Oct 27 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdk
- drop patch
- New release 1.1.1

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-3mdk
- fix paths

* Thu Jul 14 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-2mdk
- fix the French translation

* Sun Jul 03 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- drop the patch
- New release 1.0.0

* Sun Jun 12 2005 Gtz Waschk <waschk@mandriva.org> 0.9.6-2mdk
- fix locale directory

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.9.6-1mdk
- drop merged patch
- New release 0.9.6

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.9.5-5mdk
- fix deps

* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-4mdk
- fix buildrequires

* Mon Feb 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-3mdk
- fix buildrequires

* Sun Feb 06 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-2mdk
- remove directory from the mime types, fixes problem with nautilus

* Mon Jan 03 2005 Austin Acton <austin@mandrake.org> 0.9.5-1mdk
- 0.9.5
- move to author's installation routine and wrapper
- move app dir from /usr/lib to /usr/share (keep lint happy)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4.1-2mdk
- Fix menu

* Sat Jul 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.4.1-1mdk
- New release 0.9.4.1

* Thu Jul 15 2004 Austin Acton <austin@mandrkae.org> 0.9.4-1mdk
- 0.9.4

* Tue May 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- add source URL
- New release 0.9.3

* Sun Apr 18 2004 Austin Acton <austin@mandrake.org> 0.9.2.1-3mdk
- the moron tries again

* Wed Mar 24 2004 Austin Acton <austin@mandrake.org> 0.9.2.1-2mdk
- pass whole command line to execuable (bug 9212)

* Tue Feb 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2.1-1mdk
- fix menu section
- new version

* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- move to /use/share
- fix permissions
- new version

* Mon Nov 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- new version

* Mon Oct 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- don't compress icons
- new version

* Mon Sep 01 2003 Austin Acton <aacton@yorku.ca> 0.8.5-1mdk
- 0.8.5

* Tue Aug 26 2003 Austin Acton <aacton@yorku.ca> 0.8.4-1mdk
- steal some ideas from Maxim's spec
- initial Mandrake package

